import React from "react";
import { locales } from "@pisell/utils";
import { Button, Iconfont } from "@pisell/materials";
import "./index.less";
//#region src/components/pay/toB/components/Card/index.tsx
const ToBPayCard = ({ data, onChange }) => {
	const { name, type } = data;
	return /* @__PURE__ */ React.createElement("div", {
		className: "tob-pay-card",
		onClick: () => onChange(data, "pay")
	}, /* @__PURE__ */ React.createElement(Iconfont, {
		type: "icona-zu6491",
		style: {
			color: "var(--theme-color)",
			fontSize: "30px",
			marginBottom: "10px"
		}
	}), /* @__PURE__ */ React.createElement("div", { className: "tob-pay-card-name" }, name || ""), type === "eftpos" ? /* @__PURE__ */ React.createElement(Button, {
		type: "link",
		onClick: (e) => {
			e.stopPropagation();
			onChange(data, "fullPay");
		}
	}, locales.getText("tobPay.text.card.edit.amount")) : null);
};
//#endregion
export { ToBPayCard as default };
